# alloc_type.hpp File Reference

Helper types related to the allocation of memory. More...

`#include "alloc_func.hpp"`

Go to the source code of this file.

## Data Structures
struct | SmallStackSafeStackAlloc< T, length >
| A small 'wrapper' for allocations that can be done on most OSes on the stack, but are just too large to fit in the stack on devices with a small stack such as the NDS. More...
class | ReusableBuffer< T >
| A reusable buffer that can be used for places that temporary allocate a bit of memory and do that very often, or for places where static memory is allocated that might need to be reallocated sometimes. More...
class | ZeroedMemoryAllocator
| Base class that provides memory initialization on dynamically created objects. More...

## Detailed Description

Helper types related to the allocation of memory.

Definition in file alloc_type.hpp.